Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.constructionheuristic
Class DefaultConstructionHeuristicSolverPhase

    java.lang.Object
      org.drools.planner.core.phase.AbstractSolverPhase
          org.drools.planner.core.constructionheuristic.DefaultConstructionHeuristicSolverPhase

All Implemented Interfaces:
  EventListener, ConstructionHeuristicSolverPhase, SolverPhaseLifecycleListener, SolverPhase, SolverLifecycleListener

    public class DefaultConstructionHeuristicSolverPhase

extends AbstractSolverPhase
implements ConstructionHeuristicSolverPhase

Default implementation of `ConstructionHeuristicSolverPhase`.

Field Summary
`protected boolean` | `assertStepScoreIsUncorrupted`
`protected List<EntityPlacer>` | `entityPlacerList`

Fields inherited from class org.drools.planner.core.phase.AbstractSolverPhase
`bestSolutionRecaller, logger, phaseIndex, solverPhaseLifecycleSupport, termination`

Constructor Summary
`DefaultConstructionHeuristicSolverPhase()`

Method Summary
`void` | `phaseEnded(ConstructionHeuristicSolverPhaseScope phaseScope)`
`void` | `phaseStarted(ConstructionHeuristicSolverPhaseScope phaseScope)`
`void` | `setAssertStepScoreIsUncorrupted(boolean assertStepScoreIsUncorrupted)`
`void` | `setEntityPlacerList(List<EntityPlacer> entityPlacerList)`
`void` | `solve(DefaultSolverScope solverScope)`
`void` | `solvingEnded(DefaultSolverScope solverScope)`
`void` | `solvingStarted(DefaultSolverScope solverScope)`
`void` | `stepEnded(ConstructionHeuristicStepScope stepScope)`
`void` | `stepStarted(ConstructionHeuristicStepScope stepScope)`

Methods inherited from class org.drools.planner.core.phase.AbstractSolverPhase
`addSolverPhaseLifecycleListener, getPhaseIndex, getTermination, phaseEnded, phaseStarted, removeSolverPhaseLifecycleListener, setBestSolutionRecaller, setPhaseIndex, setTermination, stepEnded, stepStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.phase.SolverPhase
`addSolverPhaseLifecycleListener, removeSolverPhaseLifecycleListener`

Methods inherited from interface org.drools.planner.core.phase.event.SolverPhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Field Detail

### entityPlacerList

    protected List<EntityPlacer> entityPlacerList

### assertStepScoreIsUncorrupted

    protected boolean assertStepScoreIsUncorrupted

Constructor Detail

### DefaultConstructionHeuristicSolverPhase

    public DefaultConstructionHeuristicSolverPhase()

Method Detail

### setEntityPlacerList

    public void setEntityPlacerList(List<EntityPlacer> entityPlacerList)

### setAssertStepScoreIsUncorrupted

    public void setAssertStepScoreIsUncorrupted(boolean assertStepScoreIsUncorrupted)

### solve

    public void solve(DefaultSolverScope solverScope)

  Specified by:
    `solve` in interface `SolverPhase`

### solvingStarted

    public void solvingStarted(DefaultSolverScope solverScope)

  Specified by:
    `solvingStarted` in interface `SolverLifecycleListener`
  Overrides:
    `solvingStarted` in class `AbstractSolverPhase`

### phaseStarted

    public void phaseStarted(ConstructionHeuristicSolverPhaseScope phaseScope)

### stepStarted

    public void stepStarted(ConstructionHeuristicStepScope stepScope)

### stepEnded

    public void stepEnded(ConstructionHeuristicStepScope stepScope)

### phaseEnded

    public void phaseEnded(ConstructionHeuristicSolverPhaseScope phaseScope)

### solvingEnded

    public void solvingEnded(DefaultSolverScope solverScope)

  Specified by:
    `solvingEnded` in interface `SolverLifecycleListener`
  Overrides:
    `solvingEnded` in class `AbstractSolverPhase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.